diff --git a/.gitignore b/.gitignore
index 7b8dfda1b..66e90564e 100644
--- a/.gitignore
+++ b/.gitignore
@@ -11,3 +11,4 @@ res/julius.icns
 /CMakeSettings.json
 out/
 ext/SDL2/*/
+.vscode
\ No newline at end of file
diff --git a/src/game/settings.c b/src/game/settings.c
index 20f50f391..fc206c81e 100644
--- a/src/game/settings.c
+++ b/src/game/settings.c
@@ -216,6 +216,11 @@ const set_sound *setting_sound(set_sound_type type)
     return get_sound(type);
 }
 
+int setting_sound_is_enabled(set_sound_type type)
+{
+    return get_sound(type)->enabled;
+}
+
 void setting_toggle_sound_enabled(set_sound_type type)
 {
     set_sound *sound = get_sound(type);
diff --git a/src/game/settings.h b/src/game/settings.h
index 89faba938..1b2170f10 100644
--- a/src/game/settings.h
+++ b/src/game/settings.h
@@ -39,6 +39,7 @@ void setting_set_display(int fullscreen, int width, int height);
 
 const set_sound *setting_sound(set_sound_type type);
 
+int setting_sound_is_enabled(set_sound_type type);
 void setting_toggle_sound_enabled(set_sound_type type);
 void setting_increase_sound_volume(set_sound_type type);
 void setting_decrease_sound_volume(set_sound_type type);
diff --git a/src/window/sound_options.c b/src/window/sound_options.c
index 2cec1bb2b..b932d9162 100644
--- a/src/window/sound_options.c
+++ b/src/window/sound_options.c
@@ -149,8 +149,10 @@ static void button_cancel(int param1, int param2)
     setting_reset_sound(SOUND_SPEECH, data.original_speech.enabled, data.original_speech.volume);
     setting_reset_sound(SOUND_CITY, data.original_city.enabled, data.original_city.volume);
     if (data.original_music.enabled) {
-        sound_music_reset();
-        sound_music_update();
+        if (setting_sound_is_enabled(SOUND_MUSIC) != data.original_music.enabled) {
+            sound_music_reset();
+            sound_music_update();
+        }
     } else {
         sound_music_stop();
     }
